﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=8.5
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Public vuetify As VuetifyApp
	Public BANano As BANano
	Private vappbar As VueElement
	Private vappdrawer As VueElement
	Private vappbarnavicon As VueElement
	Private vapp As VueElement
	Private appsnackbar As VueElement
End Sub

#if css
	.border {
  		border-left: 6px solid #0ba518;
	}
	
	.v-list .v-list-item:hover {
  		background-color: rgba(96, 125, 139, 0.4);
	}

	.v-list .v-list-item {
  		border-radius: 6px;
  		margin: 3px;
	}
#End If

Sub Init
	'initialize the app
	vuetify.Initialize(Me, "inspire")
	BANano.LoadLayout(vuetify.apptemplatename, "vbaseline")
	'
	AddRouters
	
	Dim appDialog As VueElement = vuetify.AddDialogAlertPrompt(Me, "vapp", "inspire", True, 400, "primary", "error")
	vuetify.BindVueElement(appDialog)
	
	vuetify.BindVueElement(appsnackbar)
	'initialize the snackbar
	vuetify.SnackBarInitialize
	
	'add the drawer profile
	BANano.LoadLayoutAppend("#vappdrawer", "vdrawerprofile")
	
	'bind the hamburger
	vuetify.BindVueElement(vappbarnavicon)
	'
	
	'inject a list tp the vapp drawer
	Dim drwlist As VueElement = vuetify.AddList(Me, "vappdrawer", "drwlist", True, False, True, Null)
	'initialize the listview options, we use the default options
	Dim drwlistOptions As ListViewItemOptions = vuetify.NewListViewItemOptions
	'set the data source of the list items
	drwlistOptions.dataSource = "links"
	drwlistOptions.key = "title"
	
	'add the template to the list
	drwlist.AddListViewTemplate(0, drwlistOptions)
	'bind the list
	vuetify.BindVueElement(drwlist)
	
	'create a list of items to use
	Dim links As List = vuetify.NewList
	links.Add(CreateMap("icon": "mdi-cog", "title": "Setup", "to": "/"))
	'
	vuetify.SetData("links", links)
	
	'bind the drawer
	vuetify.BindVueElement(vappdrawer)
	'close the drawer
	vuetify.SetData("appdrawer", False)
	'render the ux
	vuetify.Serve
	
	
End Sub

'a list item on the drawer is clicked
Sub drwlist_click(item As String)
	'vuetify.ShowSnackBarSuccess(item)
End Sub

Sub AddRouters
	ViewSetup.Initialize
End Sub

Sub vappbarnavicon_ClickStop (e As BANanoEvent)
	'toggle drawer visibility
	vuetify.Toggle("appdrawer")
End Sub

Sub inspireok_Click (e As BANanoEvent)
	'hide the active dialog box
	vuetify.HideDialog
	'get the dialog process being executed
	Dim sconfirm As String = vuetify.Confirm
	'process accordingly
	Select Case sconfirm
	Case "alert"
	Case "dialog_age"
	Case Else		
		vuetify.ShowSnackBarSuccess(sconfirm & "-ok")
	End Select
End Sub

Sub inspirecancel_Click (e As BANanoEvent)
	vuetify.HideDialog
	Dim sconfirm As String = vuetify.Confirm
	vuetify.ShowSnackBarError(sconfirm & "-cancel")
End Sub